StarObjectChartInternal::Chart Class Reference documentation

Public Member Functions | Protected Member Functions | List of all members
StarObjectChartInternal::Chart Class Referencefinal

the chart of a StarObjectChart More...

Inheritance diagram for StarObjectChartInternal::Chart:

## Public Member Functions
| Chart ()
| constructor
Public Member Functions inherited from STOFFChart
| STOFFChart (STOFFVec2f const &dim=STOFFVec2f())
| the constructor
virtual | ~STOFFChart ()
| the destructor
void | sendChart (STOFFSpreadsheetListenerPtr &listener, librevenge::RVNGSpreadsheetInterface *interface)
| send the chart to the listener
void | setGridColor (STOFFColor const &color)
| set the grid color
Axis & | getAxis (int coord)
| return an axis (corresponding to a coord)
Axis const & | getAxis (int coord) const
| return an axis (corresponding to a coord)
Legend const & | getLegend () const
| returns the legend
Legend & | getLegend ()
| returns the legend
Serie * | getSerie (int id, bool create)
| return a serie
std::map< int, Serie > const & | getIdSerieMap () const
| returns the list of defined series
TextZone * | getTextZone (TextZone::Type type, bool create=false)
| returns a textzone content

## Protected Member Functions
void | sendContent (TextZone const &zone, STOFFListenerPtr &listener) const final
| send the zone content (called when the zone is of text type)
Protected Member Functions inherited from STOFFChart
void | sendTextZoneContent (TextZone::Type type, STOFFListenerPtr &listener) const
| sends a textzone content

## Additional Inherited Members
Public Attributes inherited from STOFFChart
STOFFVec2f | m_dimension
| the chart dimension in point
Serie::Type | m_type
| the chart type (if no series)
bool | m_dataStacked
| a flag to know if the data are stacked or not
bool | m_dataPercentStacked
| a flag to know if the data are percent stacked or not
bool | m_dataVertical
| a flag to know if the data are vertical (for bar)
bool | m_is3D
| a flag to know if the graphic is 3D
bool | m_is3DDeep
| a flag to know if real 3D or 2D-extended
STOFFGraphicStyle | m_style
| the chart style
librevenge::RVNGString | m_name
| the chart name
STOFFBox2f | m_plotAreaPosition
| the plot area dimension in percent
STOFFGraphicStyle | m_plotAreaStyle
| the ploat area style
STOFFBox2f | m_legendPosition
| the legend dimension in percent
STOFFGraphicStyle | m_floorStyle
| floor
STOFFGraphicStyle | m_wallStyle
| wall
Protected Attributes inherited from STOFFChart
STOFFColor | m_gridColor
| the grid color
Axis | m_axis [5]
| the x,y,y-second,z and a bad axis
Legend | m_legend
| the legend
std::map< int, Serie > | m_serieMap
| the list of series
std::map< TextZone::Type, TextZone > | m_textZoneMap
| a map text zone type to text zone

## Detailed Description

the chart of a StarObjectChart

## Constructor & Destructor Documentation

## ◆ Chart()

StarObjectChartInternal::Chart::Chart | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ sendContent()

void StarObjectChartInternal::Chart::sendContent | ( | Chart::TextZone const & | zone,
|  | STOFFListenerPtr & | listener ) const
| finalprotectedvirtual

send the zone content (called when the zone is of text type)

Implements STOFFChart.

The documentation for this class was generated from the following file:

- StarObjectChart.cxx